import { parseColorHexRGB } from '@microsoft/fast-colors';
import { PaletteRGB, SwatchRGB } from '@microsoft/fast-components';
import { ColorHEX, getWebRGBA, PrimaryRapidColorHEX, RapidColorHEX, SecondaryRapidColorHEX, } from '../../_common';
const whiteRGB = parseColorHexRGB(ColorHEX.white);
export const whiteWebRGBA = (alpha = 1.0) => {
    return getWebRGBA(whiteRGB, alpha);
};
const blackRGB = parseColorHexRGB(ColorHEX.black);
export const blackWebRGBA = (alpha = 1.0) => {
    return getWebRGBA(blackRGB, alpha);
};
export const rapidBGColorHEX = '#585858';
const rapidBGColor = parseColorHexRGB(rapidBGColorHEX);
export const rapidDefaultFillColor = SwatchRGB.create(rapidBGColor.r, rapidBGColor.g, rapidBGColor.b);
const rapidCardBGColor = parseColorHexRGB('#202126');
export const rapidDefaultCardFillColor = SwatchRGB.create(rapidCardBGColor.r, rapidCardBGColor.g, rapidCardBGColor.b);
export const rapidDefaultCardPalette = PaletteRGB.from(rapidDefaultCardFillColor);
const primaryBlueRGB = parseColorHexRGB(PrimaryRapidColorHEX.blue);
export const primaryBlueWebRGBA = (alpha = 1.0) => {
    return getWebRGBA(primaryBlueRGB, alpha);
};
export const accentBlueSwatch = SwatchRGB.create(primaryBlueRGB.r, primaryBlueRGB.g, primaryBlueRGB.b);
export const accentBluePalette = PaletteRGB.from(accentBlueSwatch);
const primaryPurpleRGB = parseColorHexRGB(PrimaryRapidColorHEX.purple);
export const primaryPurpleWebRGBA = (alpha = 1.0) => {
    return getWebRGBA(primaryPurpleRGB, alpha);
};
const secondaryOrangeRGB = parseColorHexRGB(SecondaryRapidColorHEX.orange);
export const secondaryOrangeWebRGBA = (alpha = 1.0) => {
    return getWebRGBA(secondaryOrangeRGB, alpha);
};
const secondaryTealRGB = parseColorHexRGB(SecondaryRapidColorHEX.teal);
export const secondaryTealWebRGBA = (alpha = 1.0) => {
    return getWebRGBA(secondaryTealRGB, alpha);
};
const longGreenRGB = parseColorHexRGB(RapidColorHEX.longGreen);
export const longGreenWebRGBA = (alpha = 1.0) => {
    return getWebRGBA(longGreenRGB, alpha);
};
const shortPinkRGB = parseColorHexRGB(RapidColorHEX.chartPink);
export const shortPinkWebRGBA = (alpha = 1.0) => {
    return getWebRGBA(shortPinkRGB, alpha);
};
const warningYellowRGB = parseColorHexRGB(RapidColorHEX.warningYellow);
export const warningYellowWebRGBA = (alpha = 1.0) => {
    return getWebRGBA(warningYellowRGB, alpha);
};
const chartPinkRGB = parseColorHexRGB(RapidColorHEX.chartPink);
export const chartPinkWebRGBA = (alpha = 1.0) => {
    return getWebRGBA(chartPinkRGB, alpha);
};
//# sourceMappingURL=colors.js.map