import { html } from 'lit-html';
const meta = {
    title: 'Badge',
    component: 'zero-badge',
};
export default meta;
const wrapperStyle = 'display: flex; justify-content: space-between; flex: 1; flex-wrap: wrap;';
const StylesMapperTemplate = {
    render: ({ fillColors, fontColors, badgeText }) => html `
      <div style="${wrapperStyle}">
        ${fillColors.map((fillColor) => html `
            ${fontColors.map((fontColor) => html `
                  <zero-badge fill="${fillColor}" color="${fontColor}">${badgeText}</zero-badge>
                `)}
          `)}
      </div>
    `,
};
const fillColors = ['primary', 'secondary', 'pink'];
const fontColors = ['black', 'white'];
export const All = Object.assign({ args: {
        fillColors,
        fontColors,
        badgeText: 'Rapid Badge',
    } }, StylesMapperTemplate);
//# sourceMappingURL=badge.stories.js.map