import { html } from 'lit-html';
import { FastAppearanceValues, ZeroAppearanceValues } from '../_common/colors';
const meta = {
    title: 'Banner',
    component: 'zero-banner',
};
export default meta;
const ignoreClick = (e) => {
    const banner = document.querySelector('#banner');
    banner.dismiss();
};
export const Primary = {
    args: {
        bannerText: ` Lorem ipsum dolor sit amet consectetur adipisicing elit. Lorem ipsum dolor sit amet.
      Lorem, ipsum dolor.`,
        actionIgnoreActionText: 'Ignore',
        actionDemoText: 'Diagnose',
        actionButtonAppearance: 'lightweight',
    },
    argTypes: {
        actionButtonAppearance: {
            control: 'select',
            options: [...FastAppearanceValues, ...ZeroAppearanceValues],
        },
    },
    render: ({ bannerText, actionButtonAppearance, actionIgnoreActionText, actionDemoText }) => html `
      <zero-banner id="banner">
        <div slot="content">${bannerText}</div>
        <zero-button slot="action" @click="${ignoreClick}" appearance="${actionButtonAppearance}">
          ${actionIgnoreActionText}
        </zero-button>
        <zero-button slot="action" appearance="${actionButtonAppearance}">
          ${actionDemoText}
        </zero-button>
      </zero-banner>
    `,
};
//# sourceMappingURL=banner.stories.js.map