import { DataGrid as FoundationDataGrid, DataGridCell as FoundationDataGridCell, DataGridRow as FoundationDataGridRow, defaultDataGridConfig, defaultDataGridCellConfig, defaultDataGridRowConfig, foundationDataGridCellShadowOptions, foundationDataGridRowShadowOptions, foundationDataGridShadowOptions, } from '@genesislcap/foundation-ui';
import { dataGridCellTemplate, dataGridRowTemplate } from '@microsoft/fast-foundation';
import { zeroDataGridStyles as gridStyles } from './data-grid.styles';
import { zeroDataGridTemplate as gridTemplate } from './data-grid.template';
import { zeroDataGridRowStyles as rowStyles } from './data-grid-row.styles';
import { zeroDataGridCellStyles as cellStyles } from './data-grid-cell.styles';
export class DataGridCell extends FoundationDataGridCell {
}
export const zeroDataGridCell = DataGridCell.compose(Object.assign({ baseName: 'data-grid-cell', template: dataGridCellTemplate, styles: cellStyles, shadowOptions: foundationDataGridCellShadowOptions }, defaultDataGridCellConfig));
export class DataGridRow extends FoundationDataGridRow {
}
export const zeroDataGridRow = DataGridRow.compose(Object.assign({ baseName: 'data-grid-row', template: dataGridRowTemplate, styles: rowStyles, shadowOptions: foundationDataGridRowShadowOptions }, defaultDataGridRowConfig));
export class DataGrid extends FoundationDataGrid {
}
export const zeroDataGrid = DataGrid.compose(Object.assign({ baseName: 'data-grid', template: gridTemplate, styles: gridStyles, shadowOptions: foundationDataGridShadowOptions }, defaultDataGridConfig));
//# sourceMappingURL=data-grid.js.map