import { html } from 'lit-html';
const meta = {
    title: 'Divider',
    component: 'zero-divider',
};
export default meta;
export const Primary = {
    argTypes: {
        orientation: {
            control: 'select',
            options: ['horizontal', 'vertical'],
        },
        role: {
            control: 'select',
            options: ['separator', 'presentation'],
        },
    },
    args: {
        orientation: 'horizontal',
        role: 'separator',
    },
    render: ({ orientation, role }) => html `
      <div
        style="display: flex; justify-content:center; width: 100%; ${orientation === 'vertical'
        ? 'flex-direction: row;'
        : 'flex-direction: column;'}"
      >
        <zero-button style="flex: 1;"></zero-button>
        <zero-divider orientation="${orientation}" role="${role}"></zero-divider>
        <zero-button style="flex: 1;"></zero-button>
      </div>
    `,
};
//# sourceMappingURL=divider.stories.js.map