import { mapType } from '@genesislcap/foundation-ui';
import { html, ref, repeat, when } from '@microsoft/fast-element';
import { classNames } from '@microsoft/fast-web-utilities';
const collapseIcon = html `
  ${when((x) => x.collapsed, html `
      <zero-icon name="chevron-down"></zero-icon>
    `)}
  ${when((x) => !x.collapsed, html `
      <zero-icon name="chevron-up"></zero-icon>
    `)}
`;
const filterBarTemplate = html `
  <div
    class=${(x) => classNames(['toggle', true], ['toggle-collapsed', x.collapsed])}
    @click="${(x) => x['toggle']()}"
  >
    ${collapseIcon}
  </div>
  <div class=${(x) => classNames(['filter-bar', true], ['collapsed', x.collapsed])}>
    <div class="filter-grid" ${ref('filterGrid')}>
      ${repeat((x) => x.fields, html `
          <zero-filter
            label="${(x) => x.UI_LABEL}"
            target="${(x, c) => { var _a; return (_a = c.parent) === null || _a === void 0 ? void 0 : _a.target; }}"
            type="${(x) => mapType(x.TYPE)}"
            fieldName="${(x) => x.NAME}"
            enumOptions="${(x) => x.VALID_VALUES}"
          />
        `)}
    </div>
  </div>
`;
export const zeroFilterBarTemplate = html `
  ${filterBarTemplate}
`;
//# sourceMappingURL=filter-bar.template.js.map