import { html } from 'lit-html';
const meta = {
    title: 'Flyout',
    component: 'zero-flyout',
};
export default meta;
const openFlyout = () => {
    const zeroFlyout = document.querySelector(`zero-flyout`);
    zeroFlyout.closed = false;
};
const closeFlyout = () => {
    const zeroFlyout = document.querySelector(`zero-flyout`);
    zeroFlyout.closed = true;
};
export const Primary = {
    argTypes: {
        position: {
            control: 'select',
            options: ['left', 'right'],
        },
    },
    args: {
        position: 'right',
        height: '500px',
    },
    render: ({ position, height }) => html `
      <div style="display: flex; height: ${height};">
        <zero-button @click="${openFlyout}">Open Flyout</zero-button>

        <zero-flyout position="${position}" style="height: ${height};>
          <p slot="title">Zero flyout</p>
          <div slot="header">
            <p>Header</p>
          </div>
          <div class="container">
            <p>Flyout options</p>
            <ul>
              <li>0</li>
              <li>1</li>
              <li>2</li>
              <li>3</li>
              <li>4</li>
              <li>5</li>
            </ul>
          </div>
          <div slot="footer">
            <p>Footer</p>
            <zero-button @click="${closeFlyout}">Close Flyout</zero-button>
          </div>
        </zero-flyout>
      </div>
    `,
};
//# sourceMappingURL=flyout.stories.js.map