import { html } from 'lit-html';
const meta = {
    title: 'Modal',
    component: 'zero-modal',
};
export default meta;
const showModal = (e) => {
    const modal = document.querySelector('zero-modal');
    modal.show();
};
const closeModal = (e) => {
    const modal = document.querySelector('zero-modal');
    modal.close();
};
export const Primary = {
    args: {
        dialogMaxWidth: '557px',
        modalTitle: 'Modal title',
        modalInitialText: 'Some text in a Zero Dialog',
        modalMainText: `Lorem ipsum dolor sit amet consectetur adipisicing elit. Quis similique iste ab sed
      voluptatem ut suscipit tenetur distinctio? Quo est debitis pariatur qui quisquam repudiandae
      at atque et quibusdam rerum, reprehenderit sed laborum officiis distinctio dolorum
      temporibus aperiam dolor consequatur perferendis aspernatur fugit repellendus asperiores,
      voluptas illo? Voluptatum, atque quidem?`,
        modalCloseButtonText: 'Close this modal',
    },
    render: ({ dialogMaxWidth, modalTitle, modalInitialText, modalMainText, modalCloseButtonText, }) => html `
    <zero-button @click="${showModal}">Show Zero Modal</zero-button>
    <zero-modal style="--dialog-max-width: ${dialogMaxWidth};">
      <h5 slot="top">${modalTitle}</h5>
      <p>${modalInitialText}</p>
      <p>${modalMainText}</p>
      <zero-divider slot="bottom"></zero-divider>
      <zero-button appearance="primary-gradient" slot="bottom" @click="${closeModal}">
        ${modalCloseButtonText}
      </zero-button>
    </zero-modal>
  `,
};
//# sourceMappingURL=modal.stories.js.map