import { createDesignSystemProxy, provideTokens } from '@genesislcap/foundation-ui';
import { DesignSystem } from '@microsoft/fast-foundation';
import * as tokens from './_config/tokens';
import * as values from './_config/values';
export const provideDesignSystem = (element, prefix = 'zero') => {
    if (element) {
        provideTokens(tokens, values, element);
    }
    const zeroDesignSystem = DesignSystem.getOrCreate(element).withPrefix(prefix);
    return createDesignSystemProxy(zeroDesignSystem);
};
//# sourceMappingURL=provide-design-system.js.map