import { html } from 'lit-html';
const meta = {
    title: 'Tabs',
    component: 'zero-tabs',
};
export default meta;
export const Primary = {
    argTypes: {
        appearance: {
            control: 'select',
            options: ['primary', 'secondary'],
        },
        orientation: {
            control: 'select',
            options: ['vertical', 'horizontal'],
        },
    },
    args: {
        appearance: 'primary',
        orientation: 'horizontal',
    },
    render: ({ appearance, orientation }) => html `
    <div style="min-height: 300px">
      <zero-tabs appearance="${appearance}" orientation="${orientation}">
        <span part="start" class="start" slot="start">Blotter Header</span>
        <zero-tab>Rapid Tab 1</zero-tab>
        <zero-tab slot="tab">Rapid Tab 2</zero-tab>
        <zero-tab slot="tab">Rapid Tab 3</zero-tab>
        <zero-tab slot="tab">Rapid Tab 4</zero-tab>
        <zero-tab-panel slot="tabpanel">
          <zero-tabs appearance="secondary">
            <zero-tab appearance="secondary" slot="tab">Rapid Nested Tab 1</zero-tab>
            <zero-tab appearance="secondary" slot="tab">Rapid Nested Tab 2</zero-tab>
            <zero-tab-panel slot="tabpanel">Rapid Nested Tab Panel 1</zero-tab-panel>
            <zero-tab-panel slot="tabpanel">Rapid Nested Tab Panel 2</zero-tab-panel>
          </zero-tabs>
        </zero-tab-panel>
        <zero-tab-panel slot="tabpanel">Rapid Tab Panel 2</zero-tab-panel>
        <zero-tab-panel slot="tabpanel">Rapid Tab Panel 3</zero-tab-panel>
        <zero-tab-panel slot="tabpanel">
          <zero-tabs appearance="secondary">
            <zero-tab appearance="secondary" slot="tab">Rapid Nested Tab 1</zero-tab>
            <zero-tab appearance="secondary" slot="tab">Rapid Nested Tab 2</zero-tab>
            <zero-tab-panel slot="tabpanel">Rapid Nested Tab Panel 1</zero-tab-panel>
            <zero-tab-panel slot="tabpanel">Rapid Nested Tab Panel 2</zero-tab-panel>
          </zero-tabs>
        </zero-tab-panel>
      </zero-tabs>
    </div>
  `,
};
//# sourceMappingURL=tabs.stories.js.map